Subject: Re: linux-next: build failure after merge of the libata tree

From: Tejun Heo <[email-masked]>
Date: Tue, 27 Aug 2013 14:09:17 -0400

On Tue, Aug 27, 2013 at 01:52:09PM +0800, Aaron Lu wrote:
> From: Aaron Lu <[email-masked]>
> Subject: [PATCH] ata: acpi: Remove ata_dev_acpi_handle stub in libata.h
> 
> The ata_dev_acpi_handle is defined in libata-acpi.c and the only
> external user is libata-zpodd.c, which is built when CONFIG_ATA_ACPI
> is set, so there is no need to make an empty stub function for
> !CONFIG_ATA_ACPI case in libata.h. It also causes compile errors due to
> acpi_handle is not defined when !CONFIG_ACPI. This patch fixes this
> problem by removing the empty stub.
> 
> Reported-by: Stephen Rothwell <[email-masked]>
> Signed-off-by: Aaron Lu <[email-masked]>

Yeap, tested and works.  Applied to libata/for-3.12.  Thanks.

Stephen, sorry about the trouble.

-- 
tejun